Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.newhope
Class NHOtherInfoGenerator

    java.lang.Object
      org.bouncycastle.pqc.crypto.newhope.NHOtherInfoGenerator

Direct Known Subclasses:
  NHOtherInfoGenerator.PartyU, NHOtherInfoGenerator.PartyV

public class NHOtherInfoGenerator
extends java.lang.Object

OtherInfo Generator for which can be used for populating the SuppPrivInfo field used to provide shared secret data used with NIST SP 800-56A agreement algorithms.

Nested Class Summary
`static class` | `NHOtherInfoGenerator.PartyU` Party U (initiator) generation.
`static class` | `NHOtherInfoGenerator.PartyV` Party V (responder) generation.

Field Summary
`protected DEROtherInfo.Builder` | `otherInfoBuilder`
`protected java.security.SecureRandom` | `random`
`protected boolean` | `used`

Constructor Summary
`NHOtherInfoGenerator(AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)` Create a basic builder with just the compulsory fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### otherInfoBuilder

    protected final DEROtherInfo.Builder otherInfoBuilder

### random

    protected final java.security.SecureRandom random

### used

    protected boolean used

Constructor Detail

### NHOtherInfoGenerator

    public NHOtherInfoGenerator(AlgorithmIdentifier algorithmID,
                                byte[] partyUInfo,
                                byte[] partyVInfo,
                                java.security.SecureRandom random)

  Create a basic builder with just the compulsory fields.

Parameters:
  `algorithmID` - the algorithm associated with this invocation of the KDF.
  `partyUInfo` - sender party info.
  `partyVInfo` - receiver party info.
  `random` - a source of randomness.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD